/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
export declare type SiteId = {};
export declare type SearchRequest = {
  query: any;
  limit?: number;
  sorts?: Array<object>;
  offset?: number;
};
export declare type PaginatedSearchResult = {
  query: any;
  limit: number;
  offset: number;
  total: number;
  sorts?: Array<object>;
  previous?: object;
  hits?: Array<object>;
  next?: object;
};
export declare type SimpleSearchResult = {
  limit: number;
  offset: number;
  total: number;
  hits?: Array<object>;
};
export declare type Error = {
  type: string;
  title?: string;
  detail?: string;
  instance?: string;
};
export declare type SourceCodeGroup = {
  id: string;
  active?: boolean;
  activeRedirect?: object;
  cookieDuration?: number;
  creationDate?: any;
  description?: string;
  enabled?: boolean;
  endTime?: any;
  inactiveRedirect?: object;
  lastModified?: any;
  specifications?: Array<object>;
  startTime?: any;
};
export declare type SourceCodeGroupSearchResult = {
  hits: Array<object>;
  query: any;
  limit: number;
  offset: number;
  total: number;
  sorts?: Array<object>;
  previous?: object;
  next?: object;
};
export declare type SourceCodeRedirectInfo = {
  locationType: string;
};
export declare type SourceCodeSpecification = {
  expression: string;
};
//# sourceMappingURL=Pricing.types.d.ts.map
